What is the recommended procedure to upgrade Cluster Studio XE

What is the recommended procedure to upgrade Cluster Studio XE

I am licensed user of Cluster Studio XE 2012, and now the version 2013 is out. I plann to run /opt/intel/icsxe/2012.0.032/uninstall.sh to remove the old version, then install the new version.

However I have one more question. Since the Cluster Studio XE contains many components such as mkl, mpi, tbb, icc etc, and we get updates of these component throughout the year. What would be the recommended procedure of updating seperate components for an already installed Cluster Studio XE?

Thanks for any advice.

Chen

7 帖子 / 0 全新
最新文章
如需更全面地了解编译器优化,请参阅优化注意事项

All components install by default in new directories, leaving the old ones functional. So it's not at all critical whether you install everything or whether you leave the old ones in place until you have tested the new ones, except that you should install both compilers if you use combined C and Fortran builds.
The performance library versions are set automatically by setting environment to the corresponding compiler when you install normally.
If you set both compiler and mpi environment variables, you should set the mpi environment last in order not to get the Fortran co-array version of mpi by mistake.
The builds made under the old compiler or mpi should function correctly under the new compiler and mpi environments, but going the other way might fail.

Hello Timp,

Thank you for the answer.

The order of setting compiler and mpi environment variables, as described in the section 2.5 of file "Intel MPI Library Getting Started Guide for Linux OS", is different from what you described. Could you verify?

I can see that the instructions to which you refer look misleading on the order of sourceing mpivars and compilervars scripts. I will bring this point to the attention of my colleagues on the MPI team, with whom I have discussed this question, by filing issue 689801 on premier.intel.com.
This point was not of concern until the Fortran compiler added the library support for co-arrays, so I think it indicates the document may have missed updating. Thanks for directing our attention to it.

James Tullos told me he understood that an effort has been made in current ifort compilervars so that it will not affect the mpivars settings. If so, it would not matter which comes first. We requested an inquiry.

Hi Chen,

Previously, the order of the scripts was important. As Tim said, when co-array support was added, the Fortran compiler added an MPI runtime to the path. This could cause a conflict if it was found before the SDK version. At that time, setting the MPI variables after the compiler variables would force the MPI SDK to be found first, which is the correct behavior.

The current compiler environment variable script checks for I_MPI_ROOT to be set, which is done by the MPI environment variable script. If the variable is set, it will use that to set the path to the MPI. Thus, the order is no longer significant to the functionality. I've documented the current behavior in a new KB article at http://software.intel.com/en-us/articles/order-of-environment-variable-s....

Sincerely,
James Tullos
Technical Consulting Engineer
Intel® Cluster Tools

Hello James and Tim,

Thanks for your clarification. Please update the documents at your convenience.

Chen

发表评论

登录添加评论。还不是成员?立即加入